RCCE(3)

NAME
RCCE_reduce - applies an element-wide reduction across UEs

SYNOPSIS
#include <rcce.h>

int RCCE_reduce(char* inbuf, char* outbuf,int number,int datatype,int operation,int root,RCCE_comm comm);

DESCRIPTION
RCCE_reduce() applies an element-wise reduction to an array of number words across a collection of UEs and places the result in one UE.

inbuf
    Starting address of input array (private memory).

outbuf
    Starting address of result array (private memory).

number
    Length of array (words) of values to be reduced.

datatype
    Constant indicating the numerical data type. Choices are RCCE_INT, RCCE_LONG, RCCE_FLOAT, and RCCE_DOUBLE.

operation
    Constant indicating the reduction operation. Choices are RCCE_SUM, RCCE_MAX, RCCE_MIN, and RCCE_PROD.

root
    Rank of the UE within communicator comm that receives the result of the reduction operation.

comm
    Communicator whose UEs all contribute to the reduction.

RETURN VALUE
Upon successful completion RCCE_reduce() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.